> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get a file metadata

> get file metadata for a file within a code version



## OpenAPI

````yaml /api-reference/graph.json get /graph/versions/{version_id}/files/{file_id}
openapi: 3.1.2
info:
  title: Bevor Graph API
  version: 1.0.0
servers: []
security: []
tags:
  - name: code
    description: Code versions and their files.
  - name: graph
    description: 'Graph structure of a code version: nodes, edges, and call chains.'
  - name: chat
    description: Chat threads and messages scoped to code versions.
paths:
  /graph/versions/{version_id}/files/{file_id}:
    get:
      tags:
        - code
      summary: get a file metadata
      description: get file metadata for a file within a code version
      parameters:
        - name: version_id
          in: path
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  language:
                    enum:
                      - solidity
                      - rust
                    title: Language
                    type: string
                  path:
                    title: Path
                    type: string
                  content_hash:
                    title: Content Hash
                    type: string
                  is_dependency:
                    title: Is Dependency
                    type: boolean
                  is_config:
                    title: Is Config
                    type: boolean
                  is_test:
                    title: Is Test
                    type: boolean
                  is_script:
                    title: Is Script
                    type: boolean
                  labels:
                    items:
                      type: string
                    title: Labels
                    type: array
                  include_in_graph:
                    title: Include In Graph
                    type: boolean
                required:
                  - id
                  - language
                  - path
                  - content_hash
                title: GraphSnapshotFile
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````